IBM Support

TS7700 Code Update Recommendation

Notification


Risk classification

Informational

Subcategories for Informational notifications

Product Lifecycle Information

Affected Domain

All TS7700 users

Abstract

TS7700 Code Update Recommendation 15 September 2022
  • Added R5.3 GA (8.53.0.63), adding as latest available level for TS7770
  • Added more granular major code release specific upgrade path information

Description

This generalized recommendation is made available to assist clients in implementing a code update strategy. It is a full field perspective, and as such, a customized recommendation that takes into account specifics such as business upgrade windows, length of time since last update, decommission plans might require assistance from local support teams. In general, recommendations assume planning updates annually. The word "must" in the following notes refers to bundles resolving specific problems for a targeted subset of TS7700s and communicated through My Notifications to clients, or ECA (Engineering Change, Field Actions) Information Alerts to IBM Service colleagues.
Model Minimum Level Recommended "go to" Level Latest Level
TS7770
  • 3948-VED
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
TS7770
  • 3957-VED
R5.0 PGA2 - 8.50.2.6 (Aug 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.3 GA - 8.53.0.63 (Sep 2022) ****
R5.2 Phase 2 PGA0 - 8.52.200.111 (Apr 2022) **,***
R5.2 Phase 1 PGA2 - 8.52.102.13 (Sep 2022) ***
TS7760
  • 3957-VEC *
R5.0 PGA2 - 8.50.2.6 (Aug 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.2 Phase 1 PGA2 - 8.52.102.13 (Sep 2022) ***


* For clients with TS7760 (3957-VEC) with 496 virtual devices (15x FC 5275, Additional virtual devices), planning to upgrade their systems to R5.0, R5.1 or R5.2, it is recommended to upgrade their systems to 64GB of memory (Feature Code 3466, 32 GB memory upgrade) to improve system performance. The original issue was resolved with R5.1 PGA2 and R5.2 Phase 1 PGA2

** For systems with FC 5283, DS8000 Object Store Grid Policy Management, only.
    See DS8000 Code Update Recommendation for required DS8000 code level: https://www.ibm.com/support/pages/ds8000-code-recommendation

***  For systems running R5.2 Phase 1 or R5.2 Phase 2, support for copy export recovery has been restricted to R4.1 Phase 2 and above. Therefore, volumes created through copy export with older code level can't be restored on a system with R5.2 code level. See field info for further details.
Note: TS1150 and TS1160 tape drives only support JC media and above. Therefore, copy export volumes written on JA/JB media can not be read for copy export recovery with these newer tape drive generations.

****  R5.3 requires 128GB of memory. Existing TS7770 (3957-VED) need to be upgraded to 128GB of memory (FC 3479, 64GB DDR 4 memory upgrade for P9 based VED), whereas TS7770 (3948-VED) offer 128GB memory as default.

Note: Neither fixes nor root cause analysis will be provided for code level below minimum code.

Note: IBM intends to change the currently documented Minimum Code Level for TS7760 and TS7770 from R5.0 PGA2 to R5.1 PGA2, and the Recommended Code Level from R5.1 PGA2 to R5.2 Phase 1 PGA2 in 1Q23

Update TS7700 to appropriate minimum, recommended or latest level as applicable, preferably leveraging Remote Code Load https://tape.ibmrcl.enterpriseappointments.com/v2/.

.

Major Code Release specific recommendation and code upgrade path details:

Model Major Release Minimum Level Release specific Recommended Level Latest Level
TS7770
  • 3948-VED
R5.3
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
TS7770
  • 3957-VED
R5.3
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.2
R5.2 Phase 2 PGA0 - 8.52.200.111 (Apr 2022)
R5.2 Phase 2 PGA0 - 8.52.200.111 (Apr 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.2 Phase 1 GA - 8.52.100.32 (Jul 2021)
R5.2 Phase 1 PGA1 - 8.52.101.12 (Mar 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.1
R5.1 GA - 8.51.0.63 (Sep 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
R5.0
R5.0 PGA2 - 8.50.2.6 (Aug 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.3 GA - 8.53.0.63 (Sep 2022)
TS7760
  • 3957-VEC
R5.2
R5.2 Phase 1 GA - 8.52.100.32 (Jul 2021)
R5.2 Phase 1 PGA1 - 8.52.101.12 (Mar 2022)
R5.2 Phase 1 PGA2 - 8.52.102.13 (Sep 2022)
R5.1
R5.1 GA - 8.51.0.63 (Sep 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.2 Phase 1 PGA2 - 8.52.102.13 (Sep 2022)
R5.0
R5.0 PGA2 - 8.50.2.6 (Aug 2020)
R5.1 PGA2 - 8.51.2.12 (Feb 2022)
R5.2 Phase 1 PGA2 - 8.52.102.13 (Sep 2022)
R4.x
Move to recommended R5.1 PGA2 code level

.
Notes:
To upgrade a TS7760 with microcode levels R4.0 to R5.0, the system must first be upgraded to R4.1 or R4.2.
To upgrade a TS7760 with microcode levels R4.0 to R5.1, the system must first be upgraded to R4.2.
To upgrade a TS7760 with microcode levels R4.1 to R5.1, the system must first be upgraded to R4.2 or R5.0.
To upgrade a TS7760 with microcode levels R4.x to R5.2, the system must first be upgraded to R5.0 or R5.1.
To upgrade a TS7770 with microcode levels R5.0 to R5.3, the system must first be upgraded to R5.1 or R5.2.

TS7700 Recommended vtd_exec Matrix: https://www.ibm.com/support/pages/node/6416101
TSSC / IMC / TS3000 Code Update Recommendation: https://www.ibm.com/support/pages/node/6334617
TS4500 Code Update Recommendation: https://www.ibm.com/support/pages/node/697693

.

Historical Information

Model Minimum Level Recommended "go to" Level Latest Level

V07/VEB (R4.x) - compatible to upgrade to R4.x (32GB memory)**
End of service

8.41.200.113 (Apr 2018)

8.41.201.4 (Dec 2018)

8.42.2.12 (Oct 2019)

V07/VEB (R3.3) - not compatible to upgrade to R4.x (16GB memory)**
End of service

8.33.2.9 (Jan 2017)

8.33.3.14 (May 2018)

8.33.3.14 (May 2018)

V06/VEA (R2.1)
End of service

8.21.0.178 (Dec 2014)*

8.21.0.178 (Dec 2014)*

8.21.0.178 (Dec 2014)*


Fixes will no longer be provided for R4.x and earlier code levels.
V07/VEB customers running R3.3 or earlier code on older 4Gb/s FICON systems with 16GB of memory must upgrade their systems to 32GB of memory (Feature Code #3462 – 16GB Memory Upgrade) prior to upgrading their systems to R4.x, or upgrade to 8Gb/s FICON, which includes the memory upgrade.

Notes:
To upgrade a V07/VEB TS7700 with microcode levels R2.1 through R3.0 to R3.3, the system must first be upgraded to R3.2, and then to R3.3.
To upgrade a V07/VEB TS7700 with microcode levels R2.1 through R3.0 to R4.0, the system must first be upgraded to R3.2 and then to R4.0.
To upgrade a TS7700 with microcode levels R3.1 to R4.0, the system must first be upgraded to R3.2 or R3.3, and then R4.0.
To upgrade a V07/VEB TS7700 with microcode levels R2.1 or R3.0 to R4.1, the system must first be upgraded to R3.1 or R3.2, followed by an upgrade to R3.3 (two hops required), and then finally an upgrade to R4.1.
To upgrade a TS7700 with microcode levels R3.1 or R3.2 to R4.1, the system must first be upgraded to R3.3 and then to R4.1.
To upgrade a TS7700 with microcode levels R2.1 through R3.3 to R4.2, the system must first be upgraded to R4.0 and then to R4.2.


* A TPF-specific-exposure exists in R2.1 PGA7 - http://www-01.ibm.com/support/docview.wss?uid=ssg1S1012222
** Code update considerations for TS7740/TS7720 - http://www-01.ibm.com/support/docview.wss?uid=ssg1S1009599
*** Code update considerations for R4.2 - http://www-01.ibm.com/support/docview.wss?uid=ibm10732663

Date first published

28 September 2020

[{"Risk Classification":"Informational","Line of Business":{"code":"LOB26","label":"Storage"},"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Product":{"code":"STFS69","label":"TS7700"},"ARM Category":[],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"All Version(s)"}]

Document Information

Modified date:
19 September 2022

UID

ibm16334607